/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Provider } from '@angular/core';
import { TestBed } from '@angular/core/testing';
import { AuthenticationService, AuthorizationService } from '@bci-web-core/auth';
import { DemoAuthService } from './demo-auth.service';

describe('DemoAuthService', () => {
  beforeEach(() =>
    TestBed.configureTestingModule({
      providers: [
        {
          provide: AuthenticationService,
          useValue: {},
        },
        {
          provide: AuthorizationService,
          useValue: {},
        },
      ] as Provider[],
    })
  );

  it('should be created', () => {
    const service: DemoAuthService = TestBed.inject(DemoAuthService);
    expect(service).toBeTruthy();
  });
});
